<?php
// install script
// coyright(c) team1/3 All Rights Reserved.

function install_script()
{
	global $database,$p_circle,$config;
	$m = get_circle_meta('system_menus');
	if (!$m) {
		$m = array();
	}
	$rights = 'admin';
	if (isset($params['circle']['meta']['allow_upload'])) {
		$rights = '';
	}
	if (get_locale_str()=='en') {
		$m['staticout'] = array('title'=>'static page tool','url'=>"{$config['admin_dir']}/staticout.php?circle=$p_circle",'rights'=>$rights, 'opt'=>'page_id');
	} else {
		$m['staticout'] = array('title'=>'静的ページツール','url'=>"{$config['admin_dir']}/staticout.php?circle=$p_circle",'rights'=>$rights, 'opt'=>'page_id');
	}
	set_circle_meta('system_menus',$m);
}

function uninstall_script()
{
	global $database,$p_circle;
	$m = get_circle_meta('system_menus');
	if (!$m) {
		$m = array();
	}
	unset($m['staticout']);
	set_circle_meta('system_menus',$m);
}

if (!function_exists('get_locale_str')) {
	function get_locale_str()
	{
		$lang = 'en';
		$languages = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
		$languages = array_reverse($languages);
		foreach ($languages as $language) {
			if (preg_match('/^ja/i', $language)) {
				$lang = 'ja';
				break;
			}
		}
		return $lang;
	}
}

?>